Bug 182984 - Import vpnc cisco configuration files (.pcf)
Summary: Import vpnc cisco configuration files (.pcf)
Status: RESOLVED FIXED
Alias: None
Product: Network Management
Classification: Unclassified
Component: VPNC (show other bugs)
Version: 0.7
Platform: Ubuntu Packages Unspecified
: NOR wishlist with 40 votes (vote)
Target Milestone: ---
Assignee: Will Stephenson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-02-03 13:20 UTC by Giovanni Masucci
Modified: 2011-06-07 02:40 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Giovanni Masucci 2009-02-03 13:20:51 UTC
Version:            (using KDE 4.2.0)
Installed from:    Ubuntu Packages

It would be great if the new network manager plasmoid could implement cisco vpnc .pcf configuration files like gnome network manager.
They are widely used in many working environment and universities (at least here in Italy).
Thank you
Comment 1 Will Stephenson 2009-02-05 13:21:37 UTC
It's planned
Comment 2 Will Stephenson 2009-07-28 10:59:20 UTC
Parent bug is 146159
Comment 3 Lamarque V. Souza 2011-06-07 02:38:56 UTC
Git commit ec6e54763c009867444a6780322d75a289055642 by Lamarque V. Souza.
Committed on 07/06/2011 at 02:37.
Pushed by lvsouza into branch 'master'.

Import VPN connections from configuration files. Only VPNC is
implemented so far.
Thanks Rajeesh K Nambiar for implementing this patch.

BUG: 146159
BUG: 182984
REVIEW: 101419

M  +20   -0    libs/ui/vpnpreferences.cpp     
M  +4    -0    libs/ui/vpnuiplugin.h     
M  +1    -1    settings/config/CMakeLists.txt     
M  +13   -0    settings/config/addeditdeletebuttonset.cpp     
M  +5    -0    settings/config/addeditdeletebuttonset.h     
M  +99   -1    settings/config/manageconnectionwidget.cpp     
M  +8    -0    settings/config/manageconnectionwidget.h     
M  +18   -0    vpnplugins/novellvpn/novellvpn.cpp     
M  +3    -0    vpnplugins/novellvpn/novellvpn.h     
M  +18   -0    vpnplugins/openvpn/openvpn.cpp     
M  +3    -0    vpnplugins/openvpn/openvpn.h     
M  +18   -0    vpnplugins/pptp/pptp.cpp     
M  +3    -0    vpnplugins/pptp/pptp.h     
M  +18   -0    vpnplugins/strongswan/strongswan.cpp     
M  +3    -0    vpnplugins/strongswan/strongswan.h     
M  +2    -0    vpnplugins/vpnc/nm-vpnc-service.h     
M  +265  -0    vpnplugins/vpnc/vpnc.cpp     
M  +19   -0    vpnplugins/vpnc/vpnc.h     

http://commits.kde.org/networkmanagement/ec6e54763c009867444a6780322d75a289055642
Comment 4 Lamarque V. Souza 2011-06-07 02:40:48 UTC
Git commit 6ce880e55d0cfdb39a089d95aaef6b4831977999 by Lamarque V. Souza.
Committed on 07/06/2011 at 02:32.
Pushed by lvsouza into branch 'nm09'.

Import VPN connections from configuration files. Only VPNC is
implemented so far.
Thanks Rajeesh K Nambiar for implementing this patch.

BUG: 146159
BUG: 182984
REVIEW: 101419

M  +3    -3    libs/internals/settings/vpnsecrets.h     
M  +20   -0    libs/ui/vpnpreferences.cpp     
M  +4    -0    libs/ui/vpnuiplugin.h     
M  +1    -1    settings/config/CMakeLists.txt     
M  +13   -0    settings/config/addeditdeletebuttonset.cpp     
M  +5    -0    settings/config/addeditdeletebuttonset.h     
M  +86   -1    settings/config/manageconnectionwidget.cpp     
M  +8    -0    settings/config/manageconnectionwidget.h     
M  +18   -0    vpnplugins/novellvpn/novellvpn.cpp     
M  +3    -0    vpnplugins/novellvpn/novellvpn.h     
M  +18   -0    vpnplugins/openvpn/openvpn.cpp     
M  +3    -0    vpnplugins/openvpn/openvpn.h     
M  +18   -0    vpnplugins/pptp/pptp.cpp     
M  +3    -0    vpnplugins/pptp/pptp.h     
M  +18   -0    vpnplugins/strongswan/strongswan.cpp     
M  +3    -0    vpnplugins/strongswan/strongswan.h     
M  +2    -0    vpnplugins/vpnc/nm-vpnc-service.h     
M  +276  -0    vpnplugins/vpnc/vpnc.cpp     
M  +19   -0    vpnplugins/vpnc/vpnc.h     
M  +28   -2    vpnplugins/vpnc/vpncprop.ui     
M  +29   -0    vpnplugins/vpnc/vpncwidget.cpp     

http://commits.kde.org/networkmanagement/6ce880e55d0cfdb39a089d95aaef6b4831977999